ChartDirector Ver 5.0 (PHP Edition)

XYChart.addVectorLayer

Usage

addVectorLayer(xData, yData, lengths, directions [, lengthScale [, color [, name ]]])

Description

Adds a vector layer to the chart.
By default, the vectors start from the given reference points and point away from it. You may use VectorLayer.setArrowAlignment to specify other options, such as for the vectors to point into the reference points, or to have the reference points being the mid-points of the vectors.
ChartDirector supports specifying the vector lengths and directions directly, or indirectly as the lengths and directions from the reference points to the reference end points. This is controlled by lengthScale as described in the following table.

Constant | Value | Description
--- | --- | ---
PixelScale | 0 | The lengths are measured in pixels. The angles are measured clockwise in degrees, with the upwards position as 0.
XAxisScale | 1 | The lengths are measured in x-axis scale. The angles are measured clockwise in degrees, with the upwards position as 0.
YAxisScale | 2 | The lengths are measured in y-axis scale. The angles are measured clockwise in degrees, with the upwards position as 0.
EndPoints | 3 | The vector lengths and directions are measured as the lengths and directions between the reference points and the reference end points.

Arguments

Argument | Default | Description
--- | --- | ---
xData | (Mandatory) | An array of numbers representing the x coordinates for the reference points of the vectors.
yData | (Mandatory) | An array of numbers representing the y coordinates for the reference points of the vectors.
lengths | (Mandatory) | An array of numbers representing either the lengths of the vectors or the x coordinates of the reference end points, depending on lengthScale.
directions | (Mandatory) | An array of numbers representing either the directions of the vectors or the y coordinates of the reference end points, depending on lengthScale.
lengthScale | PixelScale | The method to specify vector lengths and directions, which must be one of the predefined constants in the table above.
color | -1 | The color to draw the data points. -1 means that the color is automatically selected from the palette.
name | "" | The name of the layer. The name will be used in the legend box, if one is available. An empty string means the layer has no name.

Return Value

A VectorLayer object representing the vector layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.